Substy Developers
Analytics

Get trial link statistics

Read OnlyFans trial-link performance for one creator per UTC day over the requested period: revenue and new fans who claimed the links. Optionally select one link.

GET/v1/agencies/{agencyId}/creators/{creatorId}/trial-link-statistics

Read OnlyFans trial-link performance for one creator per UTC day over the requested period: revenue and new fans who claimed the links. Optionally select one link.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

trialLinkId?string
startDate*string
endDate*string
amounts?string
Default"net"

Value in

  • "net"
  • "gross"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/trial-link-statistics?startDate=string&endDate=string" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "status": "ready",    "trialLinkId": null,    "amounts": "net",    "currency": "string",    "startDay": "string",    "endDay": "string",    "revenue": null,    "newFans": null,    "reversals": null,    "days": [      {        "day": "string",        "revenue": null,        "newFans": 0      }    ],    "missingRates": [      {        "currency": "string",        "days": [          "string"        ]      }    ]  },  "meta": {    "requestId": "string"  }}